org.eclipse.viatra.addon.viewers.runtime.zest.extensions

## Class ViatraViewersZestViewSupport

- java.lang.Object
- - org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersPartSupport
  - - org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersViewSupport
    - - org.eclipse.viatra.addon.viewers.runtime.extensions.jface.ViatraViewersJFaceViewSupport
      - - org.eclipse.viatra.addon.viewers.runtime.zest.extensions.ViatraViewersZestViewSupport

- All Implemented Interfaces:
    org.eclipse.jface.viewers.ISelectionProvider

      public class ViatraViewersZestViewSupport
      extends ViatraViewersJFaceViewSupport

  Support class for `ViewPart`s based on a single Zest `GraphViewer`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.jface.action.Action` | `clearGraph`
    `protected org.eclipse.jface.action.Action` | `refreshGraph`

    - ### Fields inherited from class org.eclipse.viatra.addon.viewers.runtime.extensions.jface.ViatraViewersJFaceViewSupport

      `jfaceViewer`

    - ### Fields inherited from class org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersViewSupport

      `connectorType, modelSource, state`

    - ### Fields inherited from class org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersPartSupport

      `configuration, owner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViatraViewersZestViewSupport(org.eclipse.ui.IViewPart _owner, ViewersComponentConfiguration _config, IModelConnectorTypeEnum _scope, ModifiableZestContentViewer _graphViewer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `bindModel()` Subclasses bind their viewer models here.
    `protected org.eclipse.jface.action.Action` | `createLayoutAction(java.lang.String name, org.eclipse.gef.layout.ILayoutAlgorithm lay)`
    `org.eclipse.jface.action.MenuManager` | `createLayoutMenu()`
    `void` | `createToolbar()`
    `ModifiableZestContentViewer` | `getGraphViewer()`
    `protected void` | `init()` Initialize the support instance.

    - ### Methods inherited from class org.eclipse.viatra.addon.viewers.runtime.extensions.jface.ViatraViewersJFaceViewSupport

      `addSelectionChangedListener, dispose, getSelection, onSelectionChanged, removeSelectionChangedListener, setSelection, unbindModel`

    - ### Methods inherited from class org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersViewSupport

      `createPartControl, extractModelSource, getEngine, getOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### refreshGraph

          protected org.eclipse.jface.action.Action refreshGraph

    - #### clearGraph

          protected org.eclipse.jface.action.Action clearGraph

  - ### Constructor Detail

    - #### ViatraViewersZestViewSupport

          public ViatraViewersZestViewSupport(org.eclipse.ui.IViewPart _owner,
                                              ViewersComponentConfiguration _config,
                                              IModelConnectorTypeEnum _scope,
                                              ModifiableZestContentViewer _graphViewer)

  - ### Method Detail

    - #### getGraphViewer

          public ModifiableZestContentViewer getGraphViewer()

    - #### init

          protected void init()

      Description copied from class: `ViatraViewersPartSupport`
      Initialize the support instance.
      Overrides:
        `init` in class `ViatraViewersJFaceViewSupport`

    - #### bindModel

          protected void bindModel()

      Description copied from class: `ViatraViewersViewSupport`
      Subclasses bind their viewer models here.
      Overrides:
        `bindModel` in class `ViatraViewersJFaceViewSupport`

    - #### createToolbar

          public void createToolbar()

    - #### createLayoutMenu

          public org.eclipse.jface.action.MenuManager createLayoutMenu()

    - #### createLayoutAction

          protected org.eclipse.jface.action.Action createLayoutAction(java.lang.String name,
                                                                       org.eclipse.gef.layout.ILayoutAlgorithm lay)